PCI_SRIOV_SET_TOTALV(9)

NAME
pci_sriov_set_totalvfs - - reduce the TotalVFs available

SYNOPSIS

int pci_sriov_set_totalvfs(struct pci_dev * dev, u16 numvfs);

ARGUMENTS

dev
    the PCI PF device

numvfs
    number that should be used for TotalVFs supported

DESCRIPTION

Should be called from PF driver's probe routine with device's mutex held.

Returns 0 if PF is an SRIOV-capable device and value of numvfs valid. If not a PF return -ENOSYS; if numvfs is invalid return -EINVAL; if VFs already enabled, return -EBUSY.

COPYRIGHT